package test.w;

import java.util.List;
import java.util.ArrayList;

import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.PropertyListView;
import org.apache.wicket.model.CompoundPropertyModel;
import org.apache.wicket.util.value.ValueMap;

public class Test extends WebPage {
    public Test(PageParameters parameters) {
        List<T1> lst = new ArrayList<T1>();
        lst.add(new T1(1, "A"));
        lst.add(new T1(2, "BB"));
        lst.add(new T1(3, "BBB"));
		add(new PropertyListView<T1>("lst", lst)
		{
			@Override
			protected void populateItem(ListItem<T1> item)
			{
				item.add(new Label("f1"));
				item.add(new Label("f2"));
			}
		});
        add(new NewDataForm("newDataForm"));
    }
    public static class NewDataForm extends Form<ValueMap> {
        public NewDataForm(String name) {
            super(name, new CompoundPropertyModel<ValueMap>(new ValueMap()));
            add(new TextField<String>("f1"));
            add(new TextField<String>("f2"));
        }
        public void onSubmit() {
            ValueMap values = getModelObject();
            String f1 = (String)values.get("f1");
            String f2 = (String)values.get("f2");
            System.out.println(f1 + " " + f2);
        }
    }
}
